# Contributing to `semantic-cache`

We welcome contributions to `semantic-cache`! Here are some ways you can help:

- Report bugs: If you encounter any bugs while using `semantic-cache`, please open an issue on the GitHub repository. Please provide as much detail as possible, including the steps to reproduce the bug.

- Suggest features: If you have ideas for new features or improvements to existing features, please open an issue on the GitHub repository.

- Contribute code: If you'd like to contribute code to `semantic-cache`, please fork the repository and submit a pull request. Please make sure your code is well-documented and follows the existing coding style.

- Write documentation: If you'd like to help improve the documentation, please fork the repository and submit a pull request with your changes.

## Before contributing code

Before submitting a pull request, please make sure to:

- Run the tests: Make sure that all existing tests pass. You can run the tests with `pytest`.

- Write new tests: If your code introduces new functionality, please write new tests to cover it.

- Follow the coding style: Please follow the existing coding style in the project.

- Document your changes: Please document your changes in the code and in the `README.md` file.

## Pull request process

Once you have submitted a pull request, we will review it and provide feedback. We may ask you to make changes to your code before we merge it into the main branch.

## Thank you for your contributions!

We appreciate your contributions to `semantic-cache`!
